/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package eu.agrosense.client.calendar.api.impl.gui;

import org.joda.time.DateTime;

import eu.agrosense.client.calendar.api.gui.AxisCalculator;

public class LinearAxisCalculator implements AxisCalculator {

	public static final LinearAxisCalculator INSTANCE = new LinearAxisCalculator();
	
	@Override
	public DateTime getValueForDisplay(double value, double width, DateTime minDate, DateTime maxDate) {
        double diff = maxDate.getMillis() - minDate.getMillis();
        double v = (value / width) * diff;
        return new DateTime(minDate.getMillis() + (long) v);
	}

	@Override
	public double getDisplayPosition(DateTime date, double width, DateTime minDate, DateTime maxDate) {
	        double diff = maxDate.getMillis() - minDate.getMillis();
	        double d = (date.getMillis() - minDate.getMillis()) / diff;
	        return d * width;
	}
	
}
