/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package eu.agrosense.client.calendar.api.internal.gui;

import java.text.SimpleDateFormat;
import javafx.scene.control.Label;
import javafx.scene.layout.GridPane;
import org.joda.time.DateTime;

public class TooltipContent extends GridPane {
	
	private static final SimpleDateFormat format = new SimpleDateFormat("dd.MM.yyyy");
	
	private Label titleValue;
	private Label fromValue;
	private Label toValue;

	public TooltipContent() {
		titleValue = new Label();
		fromValue = new Label();
		toValue = new Label();
		
		titleValue.getStyleClass().add("calendar-bar-tooltip-label");
		fromValue.getStyleClass().add("calendar-bar-tooltip-label");
		toValue.getStyleClass().add("calendar-bar-tooltip-label");
		
		setConstraints(titleValue, 0, 0);
		setConstraints(fromValue, 0, 2);
		setConstraints(toValue, 0, 3);
		getChildren().addAll(titleValue, fromValue, toValue);
	}

	public void update(String title, DateTime dateFrom, DateTime dateTo) {
		titleValue.setText(title);
		fromValue.setText(String.format("%s %s",org.openide.util.NbBundle.getMessage(TooltipContent.class, "TooltipContent.value.validFrom"), format.format(dateFrom.toDate())));
		toValue.setText(String.format("%s %s",org.openide.util.NbBundle.getMessage(TooltipContent.class, "TooltipContent.value.validTo"), format.format(dateTo.toDate())));
	}
	
}
